﻿using System.Text.Json.Serialization;
using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace ManagementPage.Models
{
    public class EnvironmentData
    {
        [BsonId]
        public ObjectId _id {  get; set; }

        [JsonPropertyName("h")]
        public double Humidity {  get; set; }
        [JsonPropertyName("t")]
        public double Temperature { get; set; }

        [BsonConstructor]
        public EnvironmentData(double humidity, double temperature)
        {
            Humidity = humidity;
            Temperature = temperature;
        }
    }
}